.sapUiRb {
	line-height: 20px;
	height: 21px;
	padding-top: 1px;
	position: relative;
}

.sapUiRb:focus{
	outline-color: @sapUiFocus;
}

html[data-sap-ui-browser^="ie"] .sapUiRb:focus:after {
	border-color: @sapUiFocus;
}

.sapUiRb > input { /* make the real radiobutton vanish from the screen */
	position: absolute;
	visibility: hidden;
	left: 0;
}

.sapUiRb > label { /* render an image as radiobutton replacement */
	background-image: url(img/radiobutton.png);
	background-repeat: no-repeat;
	background-position: left 1px;
	padding: 1px 0 2px 22px;
}

.sapUiRb .sapUiRbNoText {
	padding-left: 15px;
}


.sapUiRbSel > label {
	background-position: left -29px;
}

/* hover */
.sapUiRbStd:hover > label {
	background-position: left -59px;
}

.sapUiRbStd:hover.sapUiRbSel > label {
	background-position: left -89px;
}



/* readonly */
.sapUiRbRo > label {
	background-position: left -179px;
}

.sapUiRbRo.sapUiRbSel > label {
	background-position: left -209px;
}

/* error */
.sapUiRbErr > label {
	background-position: left -239px;
}

.sapUiRbErr.sapUiRbSel > label {
	background-position: left -269px;
}

/* error hover */
.sapUiRbInteractive.sapUiRbErr:hover > label {
	background-position: left -539px;
}

.sapUiRbInteractive.sapUiRbErr.sapUiRbSel:hover > label {
	background-position: left -569px;
}

/* warning */
.sapUiRbWarn > label {
	background-position: left -299px;
}

.sapUiRbWarn.sapUiRbSel > label {
	background-position: left -329px;
}

/* warning hover */
.sapUiRbInteractive.sapUiRbWarn:hover > label {
	background-position: left -479px;
}

.sapUiRbInteractive.sapUiRbWarn.sapUiRbSel:hover > label {
	background-position: left -509px;
}

/* readonly error */
.sapUiRbErr.sapUiRbRo > label {
	background-position: left -359px;
}

.sapUiRbErr.sapUiRbRo.sapUiRbSel > label {
	background-position: left -389px;
}

/* readonly warning */
.sapUiRbWarn.sapUiRbRo > label {
	background-position: left -419px;
}

.sapUiRbWarn.sapUiRbRo.sapUiRbSel > label {
	background-position: left -449px;
}

/* disabled */
.sapUiRbDis > label,
.sapUiRbDis.sapUiRbWarn.sapUiRbRo > label,
.sapUiRbDis.sapUiRbErr.sapUiRbRo > label {
	text-color: @sapUiContentDisabledTextColor;
	background-position: left -119px;
}

.sapUiRbDis.sapUiRbSel > label,
.sapUiRbDis.sapUiRbWarn.sapUiRbRo.sapUiRbSel > label,
.sapUiRbDis.sapUiRbErr.sapUiRbRo.sapUiRbSel > label {
	background-position: left -149px;
}